> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List upcoming events

> List the next 10 events that will be delivered to the specified webhook.



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /webhooks/{webhookID}/events
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /webhooks/{webhookID}/events:
    parameters:
      - $ref: '#/components/parameters/WebhookIDParameter'
    get:
      tags:
        - Webhooks
      summary: List upcoming events
      description: List the next 10 events that will be delivered to the specified webhook.
      responses:
        '200':
          description: List of events (the returned list is empty if none found)
          content:
            application/json:
              schema:
                title: Webhook Events
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    minItems: 0
                    items:
                      $ref: '#/components/schemas/WebhookEvent'
              examples:
                WebhookEventsFound:
                  summary: A non-empty list of webhook events
                  value:
                    data:
                      - $ref: '#/components/examples/SuccessfulWebhookEventsResponse'
                NoWebhooksFound:
                  summary: An empty list of webhook events
                  value:
                    data: []
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    WebhookIDParameter:
      name: webhookID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
  schemas:
    WebhookEvent:
      required:
        - api_version
        - event_id
        - event_developer_id
        - event_category
        - event_type
        - event_object_id
        - event_object
        - event_object_changes
        - event_created_at
      properties:
        api_version:
          type: string
          readOnly: true
        event_id:
          $ref: '#/components/schemas/Id'
          readOnly: true
        event_developer_id:
          type: string
          readOnly: true
          description: The developer ID of the developer
        event_sequence:
          type: integer
          readOnly: true
        event_category:
          $ref: '#/components/schemas/WebhookEventCategory'
        event_type:
          type: string
          description: >-
            The values here will be prefixed with the event_category. For
            example, a customer created event will be `customer.created`
          enum:
            - created
            - updated
            - updated.status_transitioned
            - deleted
            - canceled
        event_object_id:
          $ref: '#/components/schemas/Id'
          readOnly: true
        event_object_status:
          type: string
          readOnly: true
          enum:
            - not_started
            - incomplete
            - active
            - rejected
            - under_review
            - manual_review
            - awaiting_ubo
            - approved
            - awaiting_funds
            - funds_received
            - payment_submitted
            - payment_processed
            - in_review
            - canceled
            - error
            - returned
            - refund_in_flight
            - refund_failed
            - refunded
            - undeliverable
        event_object:
          type: object
          description: The object that was affected by the event
          readOnly: true
        event_object_changes:
          type: object
          description: The changes that were made to the object
          readOnly: true
        event_created_at:
          type: string
          format: date-time
          readOnly: true
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    WebhookEventCategory:
      type: string
      description: The category of the webhook event
      enum:
        - customer
        - kyc_link
        - liquidation_address.drain
        - static_memo.activity
        - transfer
        - virtual_account.activity
        - bridge_wallet.activity
        - card_account
        - card_transaction
        - card_withdrawal
        - posted_card_account_transaction
        - external_account
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
  responses:
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````